> ## Documentation Index
> Fetch the complete documentation index at: https://browseruse-0aece648-cursor-proxy-indicator-and-text-6cda.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Session Public Share

> Create or return existing public share for a session.



## OpenAPI

````yaml cloud/openapi/v2.json post /sessions/{session_id}/public-share
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /sessions/{session_id}/public-share:
    post:
      tags:
        - Sessions
      summary: Create Session Public Share
      description: Create or return existing public share for a session.
      operationId: create_session_public_share_sessions__session_id__public_share_post
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareView'
        '404':
          description: Session not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ShareView:
      properties:
        shareToken:
          type: string
          title: Share Token
          description: Token to access the public share
        shareUrl:
          type: string
          title: Share URL
          description: URL to access the public share
        viewCount:
          type: integer
          title: View Count
          description: Number of times the public share has been viewed
        lastViewedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Viewed At
          description: >-
            Timestamp of the last time the public share was viewed (None if
            never viewed)
      type: object
      required:
        - shareToken
        - shareUrl
        - viewCount
      title: ShareView
      description: View model for representing a public share of a session.
    SessionNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Session not found
      type: object
      title: SessionNotFoundError
      description: Error response when a session is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````